var speedster_base = implement("fiskheroes:external/speedster_base");

function init(hero) {
    hero.setName("Superman Original");
    hero.setTier(8);
    
    hero.setChestplate("Chestpiece");
	
    hero.addPowers("eden:kryptonian_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 14.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 500.0, 0);
	hero.addAttribute("MAX_HEALTH", 13.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 6.0, 0);

    hero.addKeyBind("CHARGED_BEAM", "Cold Breathe", 3);
    hero.addKeyBind("GROUND_SMASH", "Super Punch", 5); 
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    hero.addKeyBind("HEAT_VISION", "Heat Vision", 4);


    hero.addSoundOverrides("BARRY", speedster_base.mergeSounds("fiskheroes:speed_force", speedster_base.SOUNDS_BARRY));

    hero.setTickHandler((entity, manager) => {
        speedster_base.tick(entity, manager);
    });  

    hero.setHasProperty((entity, property) => property == "BREATHE_SPACE");
    } 